TEST_AND_CLEAR_BIT(9)

NAME
test_and_clear_bit - Clear a bit and return its old value

SYNOPSIS

int test_and_clear_bit (int nr, volatile unsigned long * addr);

ARGUMENTS

nr  Bit to clear

addr
    Address to count from

DESCRIPTION

This operation is atomic and cannot be reordered. It can be reorderdered on other architectures other than x86. It also implies a memory barrier.